Summary:	The GNU macro processor.
Name:		m4
Group:		Applications/Text
License:	GPL
Version:	1.4.3
Release:	1
Source0:	ftp://ftp.gnu.org/gnu/m4/m4-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

%files
  %defattr(-,root,root)
  %doc NEWS README
  %doc %{_infodir}/m4.info*

# %attr(0444,root,root)	%{_datadir}/locale/*/m4.msg
  %attr(0555,root,root)	%{_bindir}/m4

%prep
%setup -q

%build
  autoreconf -f
  test -f /usr/share/libtool/config.guess && cp /usr/share/libtool/config.guess .
  test -f /usr/share/libtool/config.sub   && cp /usr/share/libtool/config.sub .

  %configure
  make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall INSTALL_DATA="install -c -m644"

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
